> For the complete documentation index, see [llms.txt](https://docs.hyper-space.io/hyperspace-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/free-text-search.md).

# Free Text Search

Hyperspace queries support free text search using the `standard` analyzer. This analyzer includes the following functionalities&#x20;

* **Tokenization -** Splits text into individual terms based on whitespace and punctuation, using the "standard tokenizer."
* **Lowercasing -** Converts all tokens to lowercase.
* **Removing Punctuation** - Strips most punctuation from the tokens.
* **Removing Accents -** Strips accents from characters (e.g., é becomes e).

Currently, only the English stemmer is supported.

**Example**

```json
{
  "query": {
    "bool": {
      "match": {
          "content": "The naïve approach to text search can be sufficient in many cases" 
        }
    }
  }
}
```

In the above example, the text will converted to the following list of keywords

```python
["The", "naive", "approach", "to", "text", "search", "can", "be", "sufficient", "in", "many", "cases"]
```

These keywords will then be matched with the field "content" of database documents.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/free-text-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
